## org.eclipse.datatools.connectivity.ui
Class ContentExtensionFactoryBase

    java.lang.Object
      PlatformObject
          org.eclipse.datatools.connectivity.ui.ContentExtensionBase
              org.eclipse.datatools.connectivity.ui.ContentExtensionFactoryBase

All Implemented Interfaces:
  IContentExtension

public abstract class ContentExtensionFactoryBase
extends ContentExtensionBase

Extends ContentExtensionBase by implementing the openConnection() and closeConnection() methods using the connection factory specified to create the connection.

Author:
  shongxum
See Also:
  Serialized Form

Constructor Summary
`ContentExtensionFactoryBase(IConnectionProfile profile, java.lang.String factoryID)`

Method Summary
`void` `closeConnection()` Extenders should make sure the IConnection is closed.
`IConnection` `getConnection()` Each ContentExtensionFactoryBase manages its own connection, clients who's calling this api in order to resuse this connection shouldn't try to close it or modify its state.
`void` `openConnection()` Cache the created IConnection in ContentExtensionFactoryBase.

Methods inherited from class org.eclipse.datatools.connectivity.ui.ContentExtensionBase
`dispose, getAdapter, getConnectionProfile, isVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.ui.IContentExtension
`getImage, getLabel`

Constructor Detail

### ContentExtensionFactoryBase

    public ContentExtensionFactoryBase(IConnectionProfile profile,
                                       java.lang.String factoryID)

Method Detail

### openConnection

    public void openConnection()

  Cache the created IConnection in ContentExtensionFactoryBase.

  Specified by:
    `openConnection` in interface `IContentExtension`
  Specified by:
    `openConnection` in class `ContentExtensionBase`
  See Also:
    `ContentExtensionBase.openConnection()`

### closeConnection

    public void closeConnection()

  Description copied from class: `ContentExtensionBase`
  Extenders should make sure the IConnection is closed.

  Specified by:
    `closeConnection` in interface `IContentExtension`
  Specified by:
    `closeConnection` in class `ContentExtensionBase`
  See Also:
    `IContentExtension.closeConnection()`

### getConnection

    public IConnection getConnection()

  Each ContentExtensionFactoryBase manages its own connection, clients who's calling this api in order to resuse this connection shouldn't try to close it or modify its state.

  Specified by:
    `getConnection` in interface `IContentExtension`
  Specified by:
    `getConnection` in class `ContentExtensionBase`
  See Also:
    `org.eclipse.datatools.connectivity.ui.ContentExtensionBase#isConnected()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.